#include <RH_ASK.h>
#include <LiquidCrystal_I2C.h>

struct DataHolder{
  float temperature;
  float humidity;
};

DataHolder dh;
RH_ASK rf;
LiquidCrystal_I2C lcd(0x27, 16, 2);
   
void setup() {
  rf.init();
  lcd.init();
  lcd.backlight();
}
 
void loop() {
  uint8_t buffer[RH_ASK_MAX_MESSAGE_LEN];
  uint8_t bufferLength = sizeof(buffer);
  if (rf.recv(buffer, &bufferLength)) {
    memcpy(&dh, buffer, bufferLength);
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("Temp.: " + String(dh.temperature) + char(0xDF) + "C");
    lcd.setCursor(0,1);
    lcd.print("Umid.: " + String(dh.humidity) + "%");
  }
  delay(10);
}
